About MovieFrame Task

MovieFrame Task is software that lets you extract one or more still images from a movie file.
You can also specify the interval at which the still images are extracted and the number of copies of the image(s).

You can use movie files shot using a digital camera or movie files recorded on a digital video camera card with MovieFrame Task.
You cannot use still images in MovieFrame Task.


Step 1: Select movie
The first step is to select the movie file you want to use with MovieFrame Task.
After you select the movie file, proceed to the next step.

You cannot use still images in MovieFrame Task.


Step 2: Set the Extraction Method

In the second step, you select how you want to extract still images from the selected movie file. The following four methods are available.
Extract all frames:
 | It extracts each frame of the movie as a still image.
Specify an interval and extract frames:
 | It lets you specify the interval at which still images are extracted from the movie. You can specify the frame interval and the time interval.
Specify the number of copies and extract frames:
 | It lets you specify the number of copies of the still images extracted from the movie.
Extract a specified image:
 | Extract a frame you specify as a still image while watching a preview of the movie.


Step 3: Preview images

In the third step, you confirm the still images extracted using the extraction method you selected in Step 2. Depending on your selection in Step 2, the contents you can preview in Step 3 changes. Images with a check mark will be saved. You can also set the rotation of the image.
Preview:
 | In Step 2 when [Extract all frames] is selected
 | You confirm by viewing the thumbnails of each frame in the movie.
 | In Step 2 when [Specify an interval and extract frames] is selected
 | You confirm by viewing the thumbnails of frames taken at the specified interval.
 | In Step 2 when [Specify the number of copies and extract frames] is selected
 | You confirm by viewing the thumbnails of frames with the specified number of copies.
 | In Step 2 when [Extract a specified image] is selected
 | You can play the movie in the [Original movie file] window. Click the [Add] button and add the frame you are playing to the preview window. You can add multiple frames.
Checked/Shown:
 | Checked: The number of thumbnails that are checked currently. Shown: The number of thumbnails that are shown currently.
Task controls:
 | Change Thumbnail size slider This button changes the size of the thumbnail. You can select [60x45], [80x60], [120x90], or [240x180]. The default size is set to [80x60]. [Rotate] button This button lets you set the rotation of the thumbnail. You can select [None], [90 degrees right], or [90 degrees left]. [Check all] button Turns the check marks ON for all the thumbnails. [Clear all] button Turns the check marks OFF for all the thumbnails. [Clear previous] button It turns the check mark OFF for all thumbnails before the selected thumbnail with the lowest number. [Clear next] button It turns the check mark OFF for all the thumbnails after the selected thumbnail with the highest number.


Step 4: Set up how images are saved

In the fourth step, you set the folder where images are saved and the file names.
File name:
 | Select either [Use original movie file name] or [Specify a file name]. In either case, a number is appended to the file name.
Save folder:
 | Select either [Save in same folder as original movie] or [Specify the save folder]. Images are saved to the folder that you specify here.
Folder auto creation:
 | Select [Automatically create a folder with the same name as the original movie] or [Specify folder name for auto creation]. Whichever option you choose, the folder is created automatically.


Step 5: Perform processing
In Step 5, you extract and save the still images from the movie file.
When the processing is complete, MovieFrame Task closes.